<?php

namespace Drupal\webform_remote_fields;

use Drupal\Core\Form\FormStateInterface;

/**
 * Provide remote field feature for text/number inputs.
 */
trait RemoteFieldInputProcessTrait {

  use RemoteFieldBaseTrait;

  /**
   * {@inheritdoc}
   */
  public static function processAjaxForm(&$element, FormStateInterface $formState, &$completeForm) {
    $apiSettings = static::extractElementSettings($element, $formState);
    $element['#prefix'] = "<div id='{$element['#name']}-wrapper'>";
    $element['#suffix'] = "</div>";

    $response = static::processElementRequest($element, $formState);

    if (empty($response['data'])) {
      if ($response['error']) {
        $formState->setError($element, t('An unexpected error occurred, please try later'));
      }
      return parent::processAjaxForm($element, $formState, $completeForm);
    }
    $data = $response['data'][$apiSettings['api_result_select_value']] ?? $response['data'][0][$apiSettings['api_result_select_value']];
    $element['#value'] = $data;
    return parent::processAjaxForm($element, $formState, $completeForm);
  }

}
